Archduino

Previously in Archduino, how to configure permissions to run Arduino IDE in an ArchLinux. Today a new protip related to the 1.5.8 version.

This error appeared to me when running Arduino IDE (1.5.8) with an Arduino Yun:

error while loading shared libraries: libtinfo.so.5:

Well, if you [RTFM]() (read the fine manual), in the ArchWiki, there is a simple solution:

Solve the dependency problem by creating a symbolic link
 $ cd /usr/lib
 $ sudo ln -s libncurses.so.5 libtinfo.so.5
comments powered by Disqus